Get Workspace
GET /workspaces/{workspace_id}Parameters
Section titled “Parameters”| Name | In | Type | Notes | |
|---|---|---|---|---|
workspace_id | path | string (uuid) | required | — |
Responses
Section titled “Responses”| Status | Description | Body |
|---|---|---|
200 | Successful Response | WorkspaceView |
422 | Validation Error | HTTPValidationError |
Example
Section titled “Example”curl -X GET https://your-deployment.example.com/workspaces/{workspace_id} \ -H "Authorization: Bearer $COBRE_TOKEN"Response — WorkspaceView
Section titled “Response — WorkspaceView”| Field | Type | Notes | |
|---|---|---|---|
id | string (uuid) | required | — |
organization_id | string (uuid) | required | — |
slug | string | required | — |
name | string | required | — |
is_active | boolean | required | — |
is_org_default | boolean | required | — |
sandbox_full_network_allowed | boolean | required | — |
settings | object | required | — |
created_at | string (date-time) | required | — |
updated_at | string (date-time) | required | — |